OGRE: Ogre::LinkedSkeletonAnimationSource Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::LinkedSkeletonAnimationSource Struct Reference

Link to another skeleton to share animations. More...

`#include <OgreSkeleton.h>`

List of all members.

## Public Member Functions

| LinkedSkeletonAnimationSource (const String &skelName, Real scl)
| LinkedSkeletonAnimationSource (const String &skelName, Real scl, SkeletonPtr skelPtr)

## Public Attributes

String | skeletonName
SkeletonPtr | pSkeleton
Real | scale

## Detailed Description

Link to another skeleton to share animations.

Definition at line 504 of file OgreSkeleton.h.

## Constructor & Destructor Documentation

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl
| ) |

| Definition at line 509 of file OgreSkeleton.h. References scale, and skeletonName.

Ogre::LinkedSkeletonAnimationSource::LinkedSkeletonAnimationSource | ( | const String & | skelName,
|  | Real | scl,
|  | SkeletonPtr | skelPtr
| ) |

| Definition at line 511 of file OgreSkeleton.h. References pSkeleton, scale, and skeletonName.

## Member Data Documentation

SkeletonPtr Ogre::LinkedSkeletonAnimationSource::pSkeleton

| Definition at line 507 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

Real Ogre::LinkedSkeletonAnimationSource::scale

| Definition at line 508 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

String Ogre::LinkedSkeletonAnimationSource::skeletonName

| Definition at line 506 of file OgreSkeleton.h. Referenced by LinkedSkeletonAnimationSource().

The documentation for this struct was generated from the following file:

- OgreSkeleton.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:59 2008